/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */

.toolbarbutton::part(moz-button-label) {
  width: 100%;
}

.location-btn-content {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  gap: var(--space-medium);
  width: 100%;

  moz-badge {
    grid-column: 1;
    justify-self: start;
  }

  span {
    grid-column: 2;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .arrow-icon {
    grid-column: 3;
    justify-self: end;
    -moz-context-properties: fill, fill-opacity, stroke;
    fill: currentColor;
  }

  :-moz-locale-dir(rtl) & .arrow-icon {
    scale: -1 1;
  }
}
